namespace MileageTraker.Web.Migrations
{
    using System.Data.Entity.Migrations;
    
    public partial class PasswordNullForUninitialized : DbMigration
    {
        public override void Up()
        {
            AlterColumn("User", "Password", c => c.String(maxLength: 128));
			Sql(@"update [User]
				set Password = null
				where Password = 'uninitialized_state'");
        }
        
        public override void Down()
        {
            AlterColumn("User", "Password", c => c.String(nullable: false, maxLength: 128));
        }
    }
}
